Name: cockpit-session-recording
Version: 6
Release: 2.0.1%{?dist}
Summary: Cockpit Session Recording
License: LGPLv2+
URL:     https://github.com/Scribery/%{name}
Source:  https://github.com/Scribery/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

Patch1001: 1001-Make-per-page-documentation-links-point-to-Oracle-Li.patch

BuildArch: noarch
BuildRequires: libappstream-glib
Requires: cockpit-system
Requires: tlog

%description
Cockpit module providing session recording configuration and playback.
This module allows viewing and playback of journal-stored terminal session
recordings generated by the tlog component.

%prep
%setup -qn cockpit-session-recording
patch -p 1 -T < %{P:1001}

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files
%{_datadir}/cockpit/session-recording
%{_datadir}/metainfo/org.cockpit-project.session-recording.metainfo.xml

%changelog
* Thu Apr 08 2021 EL Errata <el-errata_ww@oracle.com> - 6-2.0.1
- Make per page documentation links point to Oracle Linux [Orabug: 32013095]

* Wed Nov 4 2020 Justin Stephenson <jstephen@redhat.com> - 6-2
- Use journalctl --utc for Logs view to handle DST 
- Fix testZoomSpeedControls scale selector

* Tue Nov 3 2020 Justin Stephenson <jstephen@redhat.com> - 6-1
- Release v6
- Bump testlib to 229
- Add binary recording test
- Update UI to adopt PatternFly 4
- Update dependencies
- Use --all journalctl option
- Fixed timezone issue by searching in client time
- Bump cockpit test version from 199 to 219
- Improve test coverage with more tests
- Simplify and cleanup existing tests

* Tue Jun 23 2020 Justin Stephenson <jstephen@redhat.com> - 4-2
- Release v4-2
- Fix testZoomControls test

* Wed May 27 2020 Justin Stephenson <jstephen@redhat.com> - 4-1
- Release v4
- Update parent id in metainfo file
- Update package manifest
- Fix rpmmacro to resolve correct path on CentOS7
- Handle byte-array encoded journal data
- Don't clobber cockpit bots directory
- Move code out of deprecated React lifecycle functions

* Mon Nov 25 2019 Justin Stephenson <jstephen@redhat.com> - 3-1
- Release v3
- Reset Logs View on Player Rewind
- Configuration page UI CSS Improvements

* Wed Sep 11 2019 Justin Stephenson <jstephen@redhat.com> - 2-1
- Release 2
- Optimize performance when playing back flooded output recordings.
- Make Logs View optional rendered with a toggle button.
- Make Logs component a child of Recording component.
- Fix Recording page column sorting in Google Chrome.
- CSS updates for Patternfly 4 compatibility.
- Replace term.js with maintained xterm.js library.
- Fix hostname and username filtering.

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 4 2019 Kirill Glebov <kgliebov@redhat.com> - 1-1
- Release 1
- First release. Includes logs correlation, player controls, journal remote support.
#
